import axios from '@/libs/axios.js'

// 补货单  列表
export const shelfReplenishList = (params) => {
	let url = `shelfReplenish/queryPage/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		data: params,
		method: 'post'
	})
}
//  补货单  详情
export const shelfReplenishDetail = (params) => {
  const url = `shelfReplenish/findBySn/${params.sn}`
  delete params.sn
  return axios.request({
    url: url,
    data: params,
    method: 'get'
  })
}
//  补货单 明细列表 不分页
export const shelfReplenishDetailList = (params) => {
  return axios.request({
    url: 'shelfReplenish/detail/queryList',
    data: params,
    method: 'post'
  })
}
//  补货单 检查补货单库存数量
export const shelfReplenishDetailStock = (params) => {
  return axios.request({
    url: 'shelfReplenish/detail/checkDetailStockQty',
    data: params,
    method: 'post'
  })
}
//  补货单 确认补货
export const shelfReplenishConfirm = (params) => {
  return axios.request({
    url: 'shelfReplenish/confirm',
    data: params,
    method: 'post'
  })
}
//  补货单 确认签收
export const shelfReplenishPutStock = (params) => {
  return axios.request({
    url: 'shelfReplenish/putStock',
    data: params,
    method: 'post'
  })
}